Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal
Class SWRLBuiltInLibraryImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
          edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal.SWRLBuiltInLibraryImpl

All Implemented Interfaces:
  SWRLBuiltInLibrary

    public class SWRLBuiltInLibraryImpl

extends AbstractSWRLBuiltInLibrary

Implementation library for SWRL temporal built-ins. See here for documentation on this built-in library.

Field Summary
`static String` | `Namespace`
`static String` | `Prefix`
`static String` | `TemporalLibraryName`

Constructor Summary
`SWRLBuiltInLibraryImpl()`

Method Summary
`boolean` | `add(List<BuiltInArgument> arguments)` Returns true if the first timestamp argument is equal to the second timestamps argument plus the third count argument at the granularity specified by the fourth argument.
`boolean` | `after(List<BuiltInArgument> arguments)`
`boolean` | `before(List<BuiltInArgument> arguments)`
`boolean` | `contains(List<BuiltInArgument> arguments)`
`boolean` | `duration(List<BuiltInArgument> arguments)` Accepts either three or four arguments.
`boolean` | `durationEqualTo(List<BuiltInArgument> arguments)`
`boolean` | `durationGreaterThan(List<BuiltInArgument> arguments)`
`boolean` | `durationGreaterThanOrEqualTo(List<BuiltInArgument> arguments)`
`boolean` | `durationLessThan(List<BuiltInArgument> arguments)`
`boolean` | `durationLessThanOrEqualTo(List<BuiltInArgument> arguments)`
`boolean` | `during(List<BuiltInArgument> arguments)`
`boolean` | `equals(List<BuiltInArgument> arguments)`
`boolean` | `finishedBy(List<BuiltInArgument> arguments)`
`boolean` | `finishes(List<BuiltInArgument> arguments)`
`boolean` | `intersects(List<BuiltInArgument> arguments)`
`boolean` | `meets(List<BuiltInArgument> arguments)`
`boolean` | `metBy(List<BuiltInArgument> arguments)`
`boolean` | `notAfter(List<BuiltInArgument> arguments)`
`boolean` | `notBefore(List<BuiltInArgument> arguments)`
`boolean` | `notContains(List<BuiltInArgument> arguments)`
`boolean` | `notDurationEqualTo(List<BuiltInArgument> arguments)`
`boolean` | `notDurationGreaterThan(List<BuiltInArgument> arguments)`
`boolean` | `notDurationGreaterThanOrEqualTo(List<BuiltInArgument> arguments)`
`boolean` | `notDurationLessThan(List<BuiltInArgument> arguments)`
`boolean` | `notDurationLessThanOrEqualTo(List<BuiltInArgument> arguments)`
`boolean` | `notDuring(List<BuiltInArgument> arguments)`
`boolean` | `notEquals(List<BuiltInArgument> arguments)`
`boolean` | `notFinishedBy(List<BuiltInArgument> arguments)`
`boolean` | `notFinishes(List<BuiltInArgument> arguments)`
`boolean` | `notIntersects(List<BuiltInArgument> arguments)`
`boolean` | `notMeets(List<BuiltInArgument> arguments)`
`boolean` | `notMetBy(List<BuiltInArgument> arguments)`
`boolean` | `notOverlappedBy(List<BuiltInArgument> arguments)`
`boolean` | `notOverlaps(List<BuiltInArgument> arguments)`
`boolean` | `notStartedBy(List<BuiltInArgument> arguments)`
`boolean` | `notStarts(List<BuiltInArgument> arguments)`
`boolean` | `overlappedBy(List<BuiltInArgument> arguments)`
`boolean` | `overlaps(List<BuiltInArgument> arguments)`
`void` | `reset()`
`boolean` | `startedBy(List<BuiltInArgument> arguments)`
`boolean` | `starts(List<BuiltInArgument> arguments)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
`getInvokingBridge, getInvokingBuiltInIndex, getInvokingRuleName, getIsInConsequent, getLibraryName, invokeBuiltInMethod, invokeResetMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TemporalLibraryName

    public static final String TemporalLibraryName

See Also:
  Constant Field Values

### Prefix

    public static final String Prefix

See Also:
  Constant Field Values

### Namespace

    public static final String Namespace

See Also:
  Constant Field Values

Constructor Detail

### SWRLBuiltInLibraryImpl

    public SWRLBuiltInLibraryImpl()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SWRLBuiltInLibrary`
  Specified by:
    `reset` in class `AbstractSWRLBuiltInLibrary`

### equals

    public boolean equals(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### before

    public boolean before(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### after

    public boolean after(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

### meets

    public boolean meets(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

### metBy

    public boolean metBy(List<BuiltInArgument> arguments)
                  throws BuiltInException

  Throws:
    `BuiltInException`

### overlaps

    public boolean overlaps(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### overlappedBy

    public boolean overlappedBy(List<BuiltInArgument> arguments)
                         throws BuiltInException

  Throws:
    `BuiltInException`

### contains

    public boolean contains(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### during

    public boolean during(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### starts

    public boolean starts(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Throws:
    `BuiltInException`

### startedBy

    public boolean startedBy(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### finishes

    public boolean finishes(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### finishedBy

    public boolean finishedBy(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

### intersects

    public boolean intersects(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

### notIntersects

    public boolean notIntersects(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Throws:
    `BuiltInException`

### notEquals

    public boolean notEquals(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### notBefore

    public boolean notBefore(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### notAfter

    public boolean notAfter(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### notMeets

    public boolean notMeets(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### notMetBy

    public boolean notMetBy(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Throws:
    `BuiltInException`

### notOverlaps

    public boolean notOverlaps(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Throws:
    `BuiltInException`

### notOverlappedBy

    public boolean notOverlappedBy(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Throws:
    `BuiltInException`

### notContains

    public boolean notContains(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Throws:
    `BuiltInException`

### notDuring

    public boolean notDuring(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### notStarts

    public boolean notStarts(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### notStartedBy

    public boolean notStartedBy(List<BuiltInArgument> arguments)
                         throws BuiltInException

  Throws:
    `BuiltInException`

### notFinishes

    public boolean notFinishes(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Throws:
    `BuiltInException`

### notFinishedBy

    public boolean notFinishedBy(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Throws:
    `BuiltInException`

### notDurationLessThan

    public boolean notDurationLessThan(List<BuiltInArgument> arguments)
                                throws BuiltInException

  Throws:
    `BuiltInException`

### notDurationLessThanOrEqualTo

    public boolean notDurationLessThanOrEqualTo(List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### notDurationEqualTo

    public boolean notDurationEqualTo(List<BuiltInArgument> arguments)
                               throws BuiltInException

  Throws:
    `BuiltInException`

### notDurationGreaterThan

    public boolean notDurationGreaterThan(List<BuiltInArgument> arguments)
                                   throws BuiltInException

  Throws:
    `BuiltInException`

### notDurationGreaterThanOrEqualTo

    public boolean notDurationGreaterThanOrEqualTo(List<BuiltInArgument> arguments)
                                            throws BuiltInException

  Throws:
    `BuiltInException`

### duration

    public boolean duration(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Accepts either three or four arguments. Returns true if the first duration argument is equal to the difference between two timestamps at the granularity specified by the final argument. The timestamps are specified as either a mixture of two ValidInstant or datetime arguments or in single ValidPeriod argument. If the duration argument is unbound, it is assigned to the time difference between the two timestamps.

  Throws:
    `BuiltInException`

### durationLessThan

    public boolean durationLessThan(List<BuiltInArgument> arguments)
                             throws BuiltInException

  Throws:
    `BuiltInException`

### durationLessThanOrEqualTo

    public boolean durationLessThanOrEqualTo(List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Throws:
    `BuiltInException`

### durationEqualTo

    public boolean durationEqualTo(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Throws:
    `BuiltInException`

### durationGreaterThan

    public boolean durationGreaterThan(List<BuiltInArgument> arguments)
                                throws BuiltInException

  Throws:
    `BuiltInException`

### durationGreaterThanOrEqualTo

    public boolean durationGreaterThanOrEqualTo(List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### add

    public boolean add(List<BuiltInArgument> arguments)
                throws BuiltInException

  Returns true if the first timestamp argument is equal to the second timestamps argument plus the third count argument at the granularity specified by the fourth argument. The timestamps are specified as either a ValidInstant, or xsd:DateTime arguments. If the first argument is unbound, it is assigned the result of the addition.

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.